<?php
 
 
 

namespace PhpWA\Protocol\Proto\ClientPayload\UserAgent;

use UnexpectedValueException;




class ReleaseChannel
{
    


    const RELEASE = 0;
    


    const BETA = 1;
    


    const ALPHA = 2;
    


    const DEBUG = 3;

    private static $valueToName = [
        self::RELEASE => 'RELEASE',
        self::BETA => 'BETA',
        self::ALPHA => 'ALPHA',
        self::DEBUG => 'DEBUG',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

